# Uses of Interface
org.opensaml.xmlsec.encryption.DerivedKeyName

Packages that use DerivedKeyName
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of DerivedKeyName in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return DerivedKeyName
Modifier and Type
Method
Description
`DerivedKeyName`
DerivedKey.`getDerivedKeyName()`
Get the DerivedKeyName child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type DerivedKeyName
Modifier and Type
Method
Description
`void`
DerivedKey.`setDerivedKeyName(DerivedKeyName name)`
Set the DerivedKeyName child element.

## Uses of DerivedKeyName in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement DerivedKeyName
Modifier and Type
Class
Description
`class`
`DerivedKeyNameImpl`
Concrete implementation of `DerivedKeyName`.
Fields in org.opensaml.xmlsec.encryption.impl declared as DerivedKeyName
Modifier and Type
Field
Description
`private DerivedKeyName`
DerivedKeyImpl.`derivedKeyName`
DerivedKeyName child element.
Methods in org.opensaml.xmlsec.encryption.impl that return DerivedKeyName
Modifier and Type
Method
Description
`DerivedKeyName`
DerivedKeyNameBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`DerivedKeyName`
DerivedKeyNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`DerivedKeyName`
DerivedKeyImpl.`getDerivedKeyName()`
Get the DerivedKeyName child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type DerivedKeyName
Modifier and Type
Method
Description
`void`
DerivedKeyImpl.`setDerivedKeyName(DerivedKeyName name)`
Set the DerivedKeyName child element.